#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

#include "mgos_rpc.h"
#include "mgos.h"




static void my_rpc_handler(struct mg_rpc_request_info *ri,
                                      void *cb_arg,
                                      struct mg_rpc_frame_info *fi,
                                      struct mg_str args) {
    mg_rpc_send_responsef(ri, "{rc: OK}");
    (void) cb_arg;
    (void) args;
    (void) fi;
}

enum mgos_app_init_result mgos_app_init(void) {
    mg_rpc_add_handler(mgos_rpc_get_global(), "Do.C", "", my_rpc_handler, NULL);

    return MGOS_APP_INIT_SUCCESS;
}
